<button
  style="margin: 10px; padding: 10px"
  type="button"
  class="btn btn-primary"
  (click)="openPopup('new')"
>
  Add New Vehicle
</button>
<div
  class="modal"
  tabindex="-1"
  role="dialog"
  [ngStyle]="{ display: displayStyle }"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Motor Dealer</h4>
      </div>
      <div id="modalBody" class="modal-body">
        <p>{{ modalBodyContent.brand }} - {{ modalBodyContent.model }}</p>
        <p>{{ modalBodyContent.variant }}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" (click)="closePopup()">
          Close
        </button>
      </div>
    </div>
  </div>
</div>

<table datatable class="table table-striped table-hover" style="width: 100%">
  <thead>
    <tr>
      <th scope="col">Model Name</th>
      <th scope="col">Variant</th>
      <th scope="col">Engine</th>
      <th scope="col">Fuel</th>
      <th scope="col">Transmission</th>

      <th> Action</th>
      <th> Delete</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of vehicleList" (click)="openPopup(item)">
      
      <td>{{ item.brand }}-{{ item.model }}</td>
      <td>{{ item.variant }}</td>
      <td>{{ item.engine }}</td>
      <td>{{ item.fuel }}</td>
      <td>{{ item.transmission }}</td>
      <td><i class="fa fa-edit " style='font-size:24px' aria-hidden="true"> </i></td>
      <td><i class="fa fa-trash " style='font-size:24px' aria-hidden="true"> </i></td>
    </tr>
  </tbody>
</table>
